a {
  transition: all 0.15s ease-out;
}

a:hover {
  color: #2c2b2e;
}

.dropdown-user a:hover {
  color: #55ce63 !important;
}

.login-register {
  background-color: #f2f7f8;
}

.mini-sidebar ul.collapse {
  margin-top: -8px;
}

.navbar {
  background-color: #272c33;
}

.scroll-sidebar {
  padding-bottom: 60px;
  padding-top: 60px;
}

.cursor {
  cursor: pointer;
}

.card {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.05), 0 3px 6px rgba(0, 0, 0, 0.1);
}

.field-required {
  color: #c00;
}

.mini-sidebar .sidebar-nav #sidebarnav > li:hover > a .hide-menu {
  display: block;
  position: absolute;
  left: 60px;
  top: 16px;
}

.mini-sidebar .sidebar-nav #sidebarnav > li:hover > a .hide-menu {
  display: block;
  position: absolute;
  left: 60px;
  top: 16px;
}

.mini-sidebar .sidebar-nav #sidebarnav > li:hover > a {
  background-color: #55ce63;
}

.sidebar-nav > ul > li.active > a {
  border-left-color: #55ce63 !important;
}

.form-group > .form-check-label {
  padding-left: 0px;
}

.truncate {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

label.error {
  margin-top: 6px;
  display: block;
  font-size: 12px;
  color: #d9534f;
}

table thead tr th {
  text-transform: none !important;
  font-weight: normal !important;
  background-color: #f2f7f8;
}

table .custom-checkbox {
  margin-right: 0px;
  padding-right: 0px;
  z-index: 1;
}

/*
table .custom-checkbox input {
  left: 0;
  z-index: 8888888;
  display: inline;
  opacity: 1;
}
*/

table th .custom-checkbox {
  top: 12px;
}

table td .custom-checkbox {
  top: 3px;
}

table .custom-checkbox .custom-control-indicator {
  display: block;
  left: 50%;
  margin-left: -8px;
}




.custom-checkbox-small {
  top: -3px;
  font-size: 14px;
}

.custom-checkbox-small .custom-control-indicator {
  top: 2px;
}





table .ui-sortable-placeholder {
  background-color: #dddddd;
  border-top: 6px solid #dddddd;
  border-bottom: 6px solid #dddddd;
  box-sizing: content-box;
}

table .ui-sortable-helper {
  border: 0px !important; 
  background-color: #fff !important;
  box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);  
  /*transform: scale(1.02);*/
}

.main-toolbar {
  position: relative;
  float: right;
}

.btn-fixed {
  position: fixed;
  top: 9px;  
  right: 30px;
  z-index: 999;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.05), 0 3px 6px rgba(0, 0, 0, 0.1);
}



.chat-img img {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.05), 0 3px 6px rgba(0, 0, 0, 0.1);
}





select option:disabled {
  color: #ccc;
}






.card .card-title-container {
  padding-bottom: 8px;
  /*cursor: pointer;*/
  transition: all 0.15s ease-out;
}

.card .card-title-container .card-title {
  font-weight: bold;
}

/*
.card .card-title-container:hover {
  background-color: #f1f3f3;
}
*/

.card .card-fields-container {
  border-top: 1px solid #e5e5e5;  
  padding-top: 16px;
}

.btn-card-container-close {
  position: absolute;
  top: 15px;
  right: 15px;
}



/*
.dropzone .dz-preview .dz-progress {
  z-index: 10;
}

.dropzone .preview {
  display: block;  
  width: 100px;
  height: 100px;
  float: left;
}

.dropzone .preview img {
  max-width: 100%;
  max-height: 100%;
}
*/

.dropzone_area {
  overflow: auto;
}

.dropzone_area .ui-sortable-helper {
  /*border: 1px solid #f00;*/
}

.dropzone_area .previews-container {
  margin-top: 4px;
  padding: 30px 30px 0px;
  background-color: #272c33;
  border-radius: 4px;
  /*border: 1px solid #ddd;*/
}

.dropzone_area .previews-container .card-no-previews {
  margin-bottom: 30px;
  color: rgba(242, 247, 248, 0.75);
  text-align: center;
}

.dropzone_area .card {
  /*padding: 0px;
  margin: 0px 0px 30px;
  overflow: hidden;
  /*background-color: #f2f7f8;*/
}

.dropzone_area .previews {
  overflow: hidden;
}

/*.dropzone_area .previews > div {
  padding: 0px;
  margin: 0px;
}*/

.dropzone_area .previews .preview-drag {
  display: block;
  position: absolute;
  right: 8px;
  top: 8px;
  background-color: rgba(255, 255, 255, 0.75);
  width: 30px;
  height: 30px;
  text-align: center;
  line-height: 28px;
  border-radius: 4px;
  border: 1px solid #ddd;
  cursor: pointer;
  transition: all 0.15s ease-out;
}

.dropzone_area .previews .preview-image-container {
  background-image:
    -moz-linear-gradient(45deg, #eee 25%, transparent 25%), 
    -moz-linear-gradient(-45deg, #eee 25%, transparent 25%),
    -moz-linear-gradient(45deg, transparent 75%, #eee 75%),
    -moz-linear-gradient(-45deg, transparent 75%, #eee 75%);
  background-image:
    -webkit-gradient(linear, 0 100%, 100% 0, color-stop(.25, #eee), color-stop(.25, transparent)), 
    -webkit-gradient(linear, 0 0, 100% 100%, color-stop(.25, #eee), color-stop(.25, transparent)),
    -webkit-gradient(linear, 0 100%, 100% 0, color-stop(.75, transparent), color-stop(.75, #eee)),
    -webkit-gradient(linear, 0 0, 100% 100%, color-stop(.75, transparent), color-stop(.75, #eee));

  -moz-background-size: 16px 16px;
  background-size: 16px 16px;
  -webkit-background-size: 16px 16px;

  background-position: 0 0, 8px 0, 8px -8px, 0px 8px;
}

.dropzone_area .previews .preview-drag:hover {
  background-color: #55ce63;
  border-color: #55ce63;
  color: #ffffff;
}

.dropzone_area .card .card-title {
  font-weight: normal;
  margin: 0px;
}

.dropzone_area .card .card-text,
.dropzone_area .card .size {
  font-size: 0.8em;
  margin: 0px;
}

.dropzone_area .dz-success .start,
.dropzone_area .dz-success .cancel,
.dropzone_area .dz-success .progress {
  display: none;
}

.dropzone_area .dz-success .delete {
  display: block;
}









.list-items-container .list-items {
  margin-top: 4px;
}

.chat-main-box .chat-right-aside .chat-list {
  padding-top: 0px;
  padding-bottom: 40px;
}

.chat-main-box .chat-right-aside .chat-list .chat-day {
  position: relative;
  font-size: 0.8em;
  text-align: center;
}

.chat-main-box .chat-right-aside .chat-list .chat-day span {
  position: relative;
  background-color: #ffffff;
  display: inline-block;
  padding: 0px 10px;
}

.chat-main-box .chat-right-aside .chat-list .chat-day:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 0px;
  width: 100%;
  height: 1px;
  background-color: #eeeeee;
}




form label {
  font-weight: 500; 
  color: #2c2b2e;
}

.card_box {
  position: relative;
}

.card_box:after {
  content: '';
  position: absolute;
  left: -1px;
  right: 0;
  top: -1px;
  height: 1px;
  background-color: #2c2b2e;
}

.image-preview {
  max-height: 38px;
  margin-right: 0.5rem;
  border-radius: 0.25rem;
  cursor: pointer;
}

#tbl_play_list tbody tr .btn_play_list_edit,
#tbl_play_list tbody tr .btn_play_list_delete,
#tbl_play_list tbody tr .btn_play_list_drag {
  opacity: 0;
}

#tbl_play_list tbody tr:hover .btn_play_list_edit,
#tbl_play_list tbody tr:hover .btn_play_list_delete,
#tbl_play_list tbody tr:hover .btn_play_list_drag {
  opacity: 1;
}

#tbl_play_list tbody tr:hover .btn_play_list_edit.disabled,
#tbl_play_list tbody tr:hover .btn_play_list_delete.disabled,
#tbl_play_list tbody tr:hover .btn_play_list_drag.disabled {
  opacity: 0.5;
}




.modal-xl {
  max-width: 100%;
  width: 96%;
}

.cnt_table_active_play {
  border: 2px solid #272c33;
  border-radius: 6px;  
  margin-bottom: 15px;
}

.table-active-play {
  font-size: 14px;
  line-height: 16px;
  position: relative;
  margin-bottom: 0;
  background-color: #fff; 
  box-sizing: border-box;
  overflow: hidden;
  border: 0;
}

.table-active-play td:not(.cnt_card_number) {
  cursor: pointer;
  /*height: 300px;*/
}

/*
.table-active-play:after {
  position: absolute;
  content: '';  
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  border: 2px solid #272c33;
  z-index: 999;
  border-radius: 6px;
  pointer-events: none;
}
*/

.table-active-play .badge {
  width: 24px;
  padding: 3px 0 2px;
  position: absolute;
  background-color: #272c33;
}

.table-active-play p {  
  margin: 0;
  padding: 0;
  padding-left: 28px;  
  text-transform: uppercase;
}

.table-active-play .card_cell {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

.table-active-play .card_cell_compact_mode .badge {
  position: static;
}

.table-active-play .card_cell_compact_mode p {
  display: none;
}

/*
.table-active-play .active {  
  color: #fff;
  background-color: #EE3C80;
}
*/

.table-active-play .cell_correct {  
  color: #fff;
  background-color: #55ce63;
}

.table-active-play .cell_border_correct {
  /*background-color: rgba(85, 206, 99, 0.35);*/
  background-color: rgba(255, 188, 52, 0.35);
}

.table-active-play .cell_wrong {
  color: #fff;
  background-color: #f62d51;
}

.table-active-play .card_cell {
  transition: all 0.15s ease-out;
}

.table-active-play .card_cell:hover {
  opacity: 0.75;
}

#cnt_active_events_cards_list {
  display: block;
  overflow-y: auto;
  overflow-x: auto;
  padding: 15px;
  background-color: #f2f7f8;
}

.cnt_card_number {
  background-color: #272c33;  
  position: relative;
}

.cnt_card_number:after {
  content: '';
  position: absolute;
  z-index: 0;
  left: -1px;
  top: -1px;
  right: 0;
  bottom: -1px;
  background-color: #272c33;
}

.cnt_card_number > div {
  position: relative;
  z-index: 2;
}

.cnt_card_number h3 {
  color: #fff;  
}

/* width */
#cnt_active_events_cards_list::-webkit-scrollbar {
  width: 10px;
  background-color: #eee;
}

/* Track */
#cnt_active_events_cards_list::-webkit-scrollbar-track {
  border-radius: 10px;
}
 
/* Handle */
#cnt_active_events_cards_list::-webkit-scrollbar-thumb {
  background: #999; 
  border-radius: 10px;
  border: 2px solid #eee;
}

/* Handle on hover */
#cnt_active_events_cards_list::-webkit-scrollbar-thumb:hover {
  background: #272c33; 
}







#cnt_extracted_songs {
  display: block;
  overflow-y: auto;
  overflow-x: auto;
  padding: 15px;
  background-color: #f2f7f8;
  margin-top: 15px;
}

/* width */
#cnt_extracted_songs::-webkit-scrollbar {
  width: 10px;
  background-color: #eee;
}

/* Track */
#cnt_extracted_songs::-webkit-scrollbar-track {
  border-radius: 10px;
}
 
/* Handle */
#cnt_extracted_songs::-webkit-scrollbar-thumb {
  background: #999; 
  border-radius: 10px;
  border: 2px solid #eee;
}

/* Handle on hover */
#cnt_extracted_songs::-webkit-scrollbar-thumb:hover {
  background: #272c33; 
}

#cnt_event_audio_player {
  background-color: #f2f7f8;
  margin-right: 10px;
}

#event_audio_player {
  display: block;
  width: 100%;  
}

#event_audio_player::-webkit-media-controls-panel {
  background-color: #f2f7f8;
}

.modal .btn_lyrics {
  padding-left: 0;
  padding-right: 0;
}

.btn_extracted_song {
  margin-top: 15px;
  text-transform: uppercase;
}

.btn_extracted_song:first-child {
  margin-top: 0;
}

.btn_extracted_song.btn-info:focus {
  color: #fff;
}

.btn_extracted_song span {
  width: 24px;
  margin-right: 6px;
}

.btn_extracted_song.btn-info span.badge-default {
  background-color: #272c33;
}

.lbl_extracted_songs_counter {
  width: 32px;
  margin-left: 6px;
  background-color: #272c33;
}




.modal-header {
  background-color: #f2f7f8;
}

.modal-title {
  font-weight: bold;
}

.modal-body-strong-label label {
  font-weight: bold;
}




.cnt_play_mode_help {  
  font-size: 14px;
  padding: 10px;
  background-color: #f2f7f8;
  border-radius: 0.25rem;
  margin-top: -15px;
  margin-bottom: 20px;
}



#txt_search_card {
  position: relative;
  height: 34px;
  min-height: auto;
  top: -3px;
  margin-top: -50px;
  width: 120px;
}

#txt_search_card::placeholder {
  position: relative;
  font-size: 10px;
  top: -2px;
  opacity: 0.5;
}



.cnt_play_mode_help ul {  
  padding-left: 20px;
}













.lyrics_overlay {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 9999999;
}

.lyrics_content {
  position: fixed;
  left: 50%;
  top: 20px;
  bottom: 20px;
  transform: translateX(-50%);
  width: 480px;
  background-color: #fff;
  border-radius: 0.25rem;
  overflow-y: auto;
  padding: 20px;
}

/* width */
.lyrics_content::-webkit-scrollbar {
  width: 10px;
  background-color: #eee;
}

/* Track */
.lyrics_content::-webkit-scrollbar-track {
  border-radius: 10px;
}
 
/* Handle */
.lyrics_content::-webkit-scrollbar-thumb {
  background: #999; 
  border-radius: 10px;
  border: 2px solid #eee;
}



@media(max-width:991px) {
  .table-active-play .badge {
    position: static;
  }
  
  .table-active-play p {
    font-size: 10px;
    padding-left: 0;
  }
  
  #cnt_event_audio_player {
    margin-bottom: 10px;
    margin-right: 0;
  }

  .song_file .row {
    margin: 0;
  }
}

@media(max-width:767px) {
  
  .main-toolbar {
    margin-top: 6px;
    float: none;
  }
  
  table .text-right {
    text-align: left !important;
  }
}